clang 10.0.0git

Namespaces | Functions
SerializedDiagnosticPrinter.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "clang/Frontend/SerializedDiagnostics.h"`
`#include "llvm/Bitstream/BitstreamWriter.h"`
Include dependency graph for SerializedDiagnosticPrinter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| llvm
| Specialize PointerLikeTypeTraits to allow LazyGenerationalUpdatePtr to be placed into a PointerUnion.
| clang
| Dataflow Directional Tag Classes.
| clang::serialized_diags

## Functions
std::unique_ptr< DiagnosticConsumer > | clang::serialized_diags::create (StringRef OutputFile, DiagnosticOptions *Diags, bool MergeChildRecords=false)
| Returns a DiagnosticConsumer that serializes diagnostics to a bitcode file. More...